<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{ 'epdb.admin.product.edit_category' | translate }}</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="editproductcategoryform" (ngSubmit)="onSubmitProductCategoryUpdate()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{ 'epdb.admin.product.category_id' | translate }}</label>
                    <input type="text" class="form-control" formControlName="familyId" placeholder="{{ 'epdb.admin.product.category_id' | translate }}">
                    <span class="messages text-danger" *ngIf="!editproductcategoryform.get('familyId').valid && editproductcategoryform.get('familyId').touched">* Please Enter Categoty ID</span>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{ 'epdb.admin.product.category_name' | translate }}</label>
                    <input type="text" class="form-control" formControlName="familyName" placeholder="{{ 'epdb.admin.product.category_name' | translate }}">
                    <span class="messages text-danger" *ngIf="!editproductcategoryform.get('familyName').valid && editproductcategoryform.get('familyName').touched">* Please Enter Categoty Name</span>
                </div>

                <div class="col-md-6 col-xl-6 form-group">&nbsp;</div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="submit" class="btn btn-success btn-md btn-block text-center"><i class="icofont icofont-save"></i>{{'general.btn_save' | translate}} </button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" (click)="resetFormUpdate()" class="btn btn-default btn-md btn-block text-center "><i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" [routerLink]="['/admin/products/list-category']" class="btn btn-danger btn-md btn-block text-center "><i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
</div>
